Subject: Re: undefined reference to 'class::function' error
From: "Kai Xu \(Kevin\)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 10 Oct 2003 10:44:06 +1000

As I am not good at c++, I am not sure what you mean by "link the file that
defines this function into the resulting executable". I just include the .h
file that defines the function in the main .cpp file. The compile command I
used is:

g++ sp.cpp (the main cpp file)

I guess there could be some problem here.

Kevin

----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Kai Xu (Kevin)" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, October 09, 2003 11:53 PM
Subject: Re: undefined reference to 'class::function' error

> On Thu, 9 Oct 2003, Kai Xu (Kevin) wrote:
>
> > I guess I can only post a example of the errors here, as the main
program is
> > about 2k lines and compiler doesn't tell where the error occurs.
> >
> > I am not good at c++ and this is not my program, so please let me know
> > if I am not posting the right thing or anything is missing.
> >
> > Cheers,
> > Kevin
> >
> > The error message:
> > undefined reference to `NList::insert(Cone*, double, int)'
> > [snip]
>
> Ok, so it's a linking error.  Is the file that defines this function
> linked into the resulting executable?  Can you please post the exact
> command used to invoke the compiler to link the final executable?
> Igor
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski, Ph.D.
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> "I have since come to realize that being between your mentor and his route
> to the bathroom is a major career booster."  -- Patrick Naughton
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/